[pLog-svn] r6761 - templates/branches/lifetype-1.2/bin

oscar at devel.lifetype.net oscar at devel.lifetype.net
Mon Dec 22 11:45:52 EST 2008


Author: oscar
Date: 2008-12-22 11:45:52 -0500 (Mon, 22 Dec 2008)
New Revision: 6761

Added:
   templates/branches/lifetype-1.2/bin/build-templates-nightly.sh
Log:
move these to specific directories - too many copies of these scripts floating around

Copied: templates/branches/lifetype-1.2/bin/build-templates-nightly.sh (from rev 6759, plog/branches/lifetype-1.2/bin-devel/build-templates-nightly.sh)
===================================================================
--- templates/branches/lifetype-1.2/bin/build-templates-nightly.sh	                        (rev 0)
+++ templates/branches/lifetype-1.2/bin/build-templates-nightly.sh	2008-12-22 16:45:52 UTC (rev 6761)
@@ -0,0 +1,47 @@
+#!/bin/sh 
+
+set -e 
+set -u
+
+# check parameters
+if [ $# -lt 2 ]; then
+    echo "Generates a build of all templates and moves it to the specified folder"
+    echo ""
+    echo "Usage: build-templates-nightly.sh label destination-folder"
+    echo ""
+    exit -1
+fi
+
+echo "*** Build templates: starting process ***"
+date
+echo "***"
+
+SVNTAG=$1
+DESTFOLDER=$2
+BINPATH=`dirname $0`
+PACKAGENAME=lifetype-templates-`date +%Y%m%d`
+
+pwd
+echo $DESTFOLDER
+echo $SVNTAG
+
+# make the package
+pushd $DESTFOLDER
+$BINPATH/build-templates.sh $SVNTAG $PACKAGENAME
+
+# move the file to the destination folder
+
+# remove everything else
+rm $PACKAGENAME.tar.gz
+rm $PACKAGENAME.tar.bz2
+
+# todo: diff today's build to the latest, and erase it if nothing has changed
+
+# make the softlink
+rm $DESTFOLDER/lifetype-templates-latest.zip
+ln -s $DESTFOLDER/$PACKAGENAME.zip $DESTFOLDER/lifetype-templates-latest.zip 
+
+echo "*** Build: Nightly build complete!"
+echo "*** Build: build result available in $DESTFOLDER/$PACKAGENAME.zip"
+
+popd > /dev/null


Property changes on: templates/branches/lifetype-1.2/bin/build-templates-nightly.sh
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:mergeinfo
   + 



More information about the pLog-svn mailing list